Skip to main content
⚠️ AppKit is in an early development phase and is subject to change without notice. DO NOT use in production environments.

# Function: createApp()

    function createApp<T>(config: {
      cache?: CacheConfig;
      client?: WorkspaceClient;
      plugins?: T;
      telemetry?: TelemetryConfig;
    }): Promise<PluginMap<T>>;

Bootstraps AppKit with the provided configuration.

## Type Parameters​

Type Parameter
`T` extends `PluginData`<`PluginConstructor`, `unknown`, `string`>[]

## Parameters​

Parameter | Type
--- | ---
`config` | { `cache?`: `CacheConfig`; `client?`: `WorkspaceClient`; `plugins?`: `T`; `telemetry?`: `TelemetryConfig`; }
`config.cache?` | `CacheConfig`
`config.client?` | `WorkspaceClient`
`config.plugins?` | `T`
`config.telemetry?` | `TelemetryConfig`

## Returns​

`Promise`<`PluginMap`<`T`>>